Delegate
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.plugin.annotationplugin
Class Delegate

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.plugin.delegate.ViewDelegate
          org.gcube.contentmanagement.viewmanager.plugin.annotationplugin.Delegate

All Implemented Interfaces:
  java.io.Serializable

    public class Delegate

extends ViewDelegate

The view delegate of the default plugin

Author:
  Fabio Simeoni (University of Strathclyde)
See Also:
  Serialized Form

Constructor Summary
`Delegate()`

Method Summary
`void` | `initialise(boolean isAtCreationTime)` Initialises the delegate.
`void` | `onLoad(boolean firstLoad)` Invoked right after the delegate and its resource have been reloaded form persistent storage.

Methods inherited from class org.gcube.contentmanagement.viewmanager.plugin.delegate.ViewDelegate
`getResource, getScopeManager, getSecurityManager, setResource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delegate

    public Delegate()

Method Detail

### initialise

    public void initialise(boolean isAtCreationTime)
                    throws java.lang.Exception

  Initialises the delegate.

  Specified by:
    `initialise` in class `ViewDelegate`
  Throws:
    `java.lang.Exception`

### onLoad

    public void onLoad(boolean firstLoad)

  Description copied from class: `ViewDelegate`
  Invoked right after the delegate and its resource have been reloaded form persistent storage.

  Overrides:
    `onLoad` in class `ViewDelegate`
  Parameters:
    `firstLoad` - `true` if this is the first load since the last restart of the container, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD